CustomSorter (gCube Resource Management Portlet 6.4.0-4.7.0-150651 API)
Date: 2017-10-12

org.gcube.portlets.admin.resourcemanagement.client.views.resourcedetails

## Class CustomSorter

- java.lang.Object
- - com.extjs.gxt.ui.client.store.StoreSorter<com.extjs.gxt.ui.client.data.ModelData>
  - - org.gcube.portlets.admin.resourcemanagement.client.views.resourcedetails.CustomSorter

-     public class CustomSorter
      extends com.extjs.gxt.ui.client.store.StoreSorter<com.extjs.gxt.ui.client.data.ModelData>

- - ### Field Summary

    - ### Fields inherited from class com.extjs.gxt.ui.client.store.StoreSorter

      `comparator, DEFAULT_COMPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomSorter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(com.extjs.gxt.ui.client.store.Store<com.extjs.gxt.ui.client.data.ModelData> store, com.extjs.gxt.ui.client.data.ModelData m1, com.extjs.gxt.ui.client.data.ModelData m2, String property)` need to recalculate the percentage as the returned value is not what the render returns

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomSorter

          public CustomSorter()

  - ### Method Detail

    - #### compare

          public int compare(com.extjs.gxt.ui.client.store.Store<com.extjs.gxt.ui.client.data.ModelData> store,
                             com.extjs.gxt.ui.client.data.ModelData m1,
                             com.extjs.gxt.ui.client.data.ModelData m2,
                             String property)

      need to recalculate the percentage as the returned value is not what the render returns
      Overrides:
        `compare` in class `com.extjs.gxt.ui.client.store.StoreSorter<com.extjs.gxt.ui.client.data.ModelData>`

Copyright © 2017. All Rights Reserved.